<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['supp-tema-title2'];
  $helppage = "";

  if(is_file ("../lang/".$lang."/trans.php")) require_once "../lang/".$lang."/trans.php";
     require_once "../lang/ru/trans.php";
  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['tema'])) puterror2($TEXT['error-tema1']);
  if(strlen($_POST['tema'])>255) puterror2($TEXT['error-tema2']);
  if(empty($_POST['position'])) puterror2($TEXT['error-nd4']);
  if(strlen($_POST['position'])>11) puterror2($TEXT['error-nd5']);
  if(strlen($_POST['shablon'])>255) puterror2($TEXT['error-shablon']);
  if(strlen($_POST['position'])>5) puterror2($TEXT['error-otd5']);
  if(strlen($_POST['visible'])>5) puterror2($TEXT['error-new11']);

  if(isset($_POST['tema'])) $tema=trim($_POST['tema']);
    else $tema="";
     if(empty($tema)) puterror2($TEXT['error-tema3']);

  if(isset($_POST['position'])) $position=trim($_POST['position']);
    else $position="";
     if(empty($position)) puterror2($TEXT['error-nd7']);

  $_POST['tema'] = rep($_POST['tema']);
  $_POST['position'] = rep($_POST['position']);
  $_POST['shablon'] = rep($_POST['shablon']);
  $_POST['visible'] = rep($_POST['visible']);

  $query_chk = "SELECT `tema` FROM `tbl_supp_tema` WHERE `tema`='".$_POST['tema']."' ";
     $result_chk = mysql_query($query_chk);
     if(!$result_chk) puterror2($TEXT['error-tbl22']);
       if(mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-supp7'];
  $what = $_POST['tema'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `tbl_supp_tema` ( `tema_id` , `tema`, `position`, `shablon`, `visible` ) VALUES ( NULL , '".$_POST['tema']."', '".$_POST['position']."', '".$_POST['shablon']."', '".$_POST['visible']."') ";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO `tbl_logs` ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-tema.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-tema8']);
  require_once "../util/bottom.php";
?>